Back to top

DAP++ SDK 3.7.5 (12 Feb 2007)

Submitted by jimg on Mon, 02/12/2007 - 13:26

Version 3.7.5* is a bug-fix release. The NEWS file contained in the source release, along with the matching ChangeLog file, detail the fixes. Briefly, the fixes include:

  • Problems found with the new server-side functions.
  • Build problems when using gcc 4.1
  • Windows XP port improvements.
  • Added methods for the BES.

*The 3.7.4 public release was not announced here, but there was a source release for that version of the library...


Mac OS/X Mac OS/X
OS/X 10.4 (Tiger) package
Linux Tux Logo Linux (x86_64)
Fedora Core 5, RPMs (gcc 4.1)
Linux Tux Logo Linux (i386)
Fedora Core 4, RPMs (gcc 4.0)

Required packages

The libdap 3.7.5 software requires libcurl 7.10.6, libxml2 2.5.7 and a modern pthreads library. To build from a fresh SVN checkout, you'll need automake 1.9.6, autoconf 2.59 and libtool 1.5.18.

Mac OS/X Mac OS/X 10.4 or greater
You will need to install libxml2; libcurl and pthreads are already present. See the third-party software page or go directly to the libxml2 page.
Linux Tux Logo Linux (x86_64/i386)
Modern versions of Linux come with the needed libraries.
Sun SPARC/SolarisSGI Icon SPARC/Solaris, SGI/IRIX
For these and other Unix distributions you will need to get libcurl, libxml and maybe pthreads. See the third-party software page.

Source code

Version 3.7.5
tar.gz . Required: libcurl, libxml2 and pthreads. See above.

Contributed builds

Version 3.7.5
Contributed: Sharing your binary builds for those operating systems not available here.